> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/form-management/tasks/task-items/completion-alert.md).

# Completion Alerts

## 📧 **What are completion alerts ?**

Completion alerts are a great way to get or send email based notifications once a user has finished a survey.\
\
Use cases can range from receiving a list of respondent's answers to more complex scenario where we can create templates with file attachments and trigger alerts only if the respondents have answered specific answers.

## 🔅 Completion alert properties

* **`Name`** of the person sending the email&#x20;
* **`From email`** email of the sender&#x20;
* **`To email`** email of the recipient of the alert message. You can send an alert to multiple recipients using the ; between each recipient.&#x20;
* **`Subject`** is the subject of the email alert.
* **`Add attachments`** you can add any number of files.
* **`Attach respondent answers`** attach respondent answers as PDF or Word to the completion alert email .
* **`Attach restricted answers`** attach any restricted answer as a PGP file.

{% hint style="info" %}
🧙 You can [pipe](/form-management/form-designer/piping/text-data-piping.md) into any of the properties above respondent answers or [data attribute](/form-management/security/data-attributes.md) values from security items. As such you could ask the respondent for his email during the survey and [pipe](/form-management/form-designer/piping/text-data-piping.md) that email in your completion alert task to send him an email.&#x20;
{% endhint %}

## 📝Completion alert message

The [rich text editor](/form-management/form-designer/rich-text-editor.md) let you add a custom message that will be send in the body of the completion alert email.

Using the pipe icon you can pipe into your message special pipe tags that will be replaced at runtime by respondent answers.

![](/files/-MBJuZwofy6D9w2u4SEt)

## 📋 Completion alert message pipe tags

Beside being able to [pipe](/form-management/form-designer/piping/text-data-piping.md) any respondent answers or [data attribute](/form-management/security/data-attributes.md) values you can also use following special pipe tags.

* **`{{surveyTitle}}`** will be replaced by the actual survey title
* **`{{respondentInfos}}`** will be replaced by the respondent details

![](/files/-MBK40fN1cnKiPfkt5oc)

* **`{{respondentAnswers}}`** will be replaced by the respondent answers.&#x20;

![](/files/-MQLt1_EB5X9CWYQjeci)

* **`{{respondentFullAnswers}}`** will be replaced by the full list of answers including the answers that were not answered by the respondent.

![](/files/-MBK4JwC5hq4n5PLdYUx)

* **`{{editActionLink}}`** will be replaced by a dynamically generated [action link](/form-management/respondents-management/actions-links.md) to access the respondent answers to update them.
* **`{{editNewActionLink}}`** will be replaced by a dynamically generated [action link](/form-management/respondents-management/actions-links.md) to access the respondent answers to create a new respondent based on the posted answers.
* **`{{reportActionLink}}`** will be replaced by a dynamically generated [action link](/form-management/respondents-management/actions-links.md) to access the respondent answers to as a read only report.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ngsurvey.com/form-management/tasks/task-items/completion-alert.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
